> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dojah.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Resolve Nuban

## What is a NUBAN?

NUBAN means Nigerian Uniform Bank Account Number. It is the standardized system for numbering bank accounts in Nigeria

Resolve NUBAN is an endpoint fetches all the information associated with a NUBAN

<ParamField header="AppId" type="string" required>
  Application ID from dashboard
</ParamField>

#### Query parameter

<ParamField query="bank_code" type="string" required>
  Bank code associated with account number
</ParamField>

<ParamField query="account_number" type="string" required />

<ResponseExample>
  ```json 200 theme={null}
  {
    "entity": {
      "account_number": "4146507207",
      "account_name": "FEMI ADEWALE KOLAWOLE"
    }
  }
  ```

  ```json 400 theme={null}
  {
    "error": "Invalid request parameters"
  }
  ```

  ```json 401 theme={null}
  {
    "error": "App Couldn't be Validated"
  }
  ```

  ```json 404 theme={null}
  {
    "error": "Could not resolve account name. Check parameters or try again."
  }
  ```
</ResponseExample>
